Установка MySQL 5.6

12
S2
На сайте с 30.12.2015
Offline
302
#11
LEOnidUKG:
Это стандартным сайтам по вебу? :)

И такое часто бывает, почему нет? Старая джумла рядом с новеньким ВП например. Уже молчу про всякие движки магазинов, которые чувствительны к версии.. А у некоторых по 5 десятков сайтов на сервере. А кто не знает про mysql_upgrade.. Да вариантов может быть сотни когда надо разные версии вплоть даже до просто разные серверы mysql ввиду особенностей головного мозга.

LEOnidUKG
На сайте с 25.11.2006
Offline
1546
#12
Старая джумла рядом с новеньким ВП например.

И можно пример в чём разница mysql для старой джумлы и нового ВП?

Из-за каких особенность старая джумла не запустится на mysql 8.0?

✅ Трастовых площадок под размещение статей и ссылок. Опыт 12 лет! ( https://searchengines.guru/ru/forum/675690 ) ⭐ Купить вечные трастовые ссылки для сайта ( https://getmanylinks.ru/?srh ) ⭐ Ускорение ваших сайтов (WP, Opencart и др.) + Настройка сервера ( https://searchengines.guru/ru/forum/997205 )
Evas EvaSystems
На сайте с 31.05.2012
Offline
81
#13

smart2web, Не встречал ни одного такого проекта, в том числе и вне веб сектора. Всё работает не зависимо от версии мускуля. С 8 не знаю, но 5.1-5.7, всё отлично.

Да, есть свои нюансы настройки, например sql_mode, который отличается от версии к версии и в зависимости от этого могут быть несовместимости.

Только это не повод накатывать из докера параллельно несколько мускулей, отъедающих друг у друга ресурсы. Где ни один из них невозможно

настроить нормально, где никому не хватает памяти и производительность близка к нулю. Настраивать надо нормально)

Тоже самое касается и mysql_upgrade. А про особенности мозга молчу вообще)

Я конечно соглашусь, что теоретически могут быть редкие и единичные исключения из правил. Но чтобы повсеместно так было...

Системный администратор Linux. Настройка, сопровождение и оптимизация серверов. Отзывы - searchengines.guru/ru/forum/1017473
egorka-I
На сайте с 27.10.2012
Offline
61
#14
LEOnidUKG:
Если сервер чистый. Снесите всё, поставьте более новую версию ОС и при установке панели выберите уже нужную версию Mysql.

Какую выбрать OS, чтоб при установке можно было выбрать mySQL 5.6

вообще мне нужно:

1. php 5.4.45 (alt) или 5.6

2. mysql 5.6

3. ioncube

Пока заново установил CentOS-7-x86_64-ispmgr5, mysql версия 5.5.60 , как обновляться до 5.6 через Putty или можно через ispmgr5 ?

Мне хостера написали:

"Если вы хотите обновить mysql в шаблоне Centos 7 с панелью ISPmanager, то сначала вам необходимо удалить в панели mysql, после этого обновить его на сервере и затем создать в панели сервер баз данных, тогда он не будет устанавливаться в контейнере Docker."

И мой вопрос как "удалить в панели mysql" я полагал, что в "Серверы баз данных" только здесь можно удалить или иначе?

Likvik
На сайте с 29.07.2010
Offline
104
#15

Лично недавно перешел с 8го на 9ий Debian

Если все по умолчанию делать, то панель поставит вам Mariadb

Для меня это не приемлемо. Нужен именно MySQL

Поэтому делал так.

1. Ставим чистый Debian 9 минимальный

2. Ставим MySQL на выбор, хоть 8мой, но лично рекомендую 5,7

3. Ставим панель ISPmanager Lite выбирая установку с рекомендуемым набором софта.

И тогда панельнель не установит Mariadb, а оставит Ваш MySQL.

Данный алгоритм подойдет и для 8го Debian если принципиально он нужен. Потому как в данном варианте ставиться MySQL 5.5 кажется.

Незнание порождает уверенность.
LEOnidUKG
На сайте с 25.11.2006
Offline
1546
#16
Пока заново установил CentOS-7

Нормально, ISP как раз рекомендуют эту ОС.

Ну а дальше всё просто:

https://doc.ispsystem.com/index.php/How_to_change_MySQL_version

Там в пункте:

After installation, the /etc/yum.repos.d/mysql-community.repo. file will be added to your server:

Выберите 5,6 версию, далее

yum update

он сам предложит обновить вашу версию

12

Авторизуйтесь или зарегистрируйтесь, чтобы оставить комментарий